#### D.6.13.1 gmsring

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  gmsring(t,s); poly t, string s

Assume:
  characteristic 0; local degree ordering;
  isolated critical point 0 of t

Return:

      ring G;  Gauss-Manin system of t with variable s
        poly gmspoly=t;
        ideal gmsjacob;  Jacobian ideal of t
        ideal gmsstd;  standard basis of Jacobian ideal
        matrix gmsmatrix;  matrix(gmsjacob)*gmsmatrix==matrix(gmsstd)
        ideal gmsbasis;  monomial vector space basis of Jacobian algebra
        int Gmssing::gmsmaxdeg;  maximal weight of variables

Note:
  gmsbasis is a C[[s]]-basis of H" and [t,s]=s^2

Example:

    LIB "gmssing.lib";
    ring @R=0,(x,y),ds;
    poly t=x5+x2y2+y5;
    def G=gmsring(t,"s");
    setring(G);
    gmspoly;
    ==> x2y2+x5+y5
    print(gmsjacob);
    ==> 2xy2+5x4,
    ==> 2x2y+5y4
    print(gmsstd);
    ==> 2x2y+5y4,
    ==> 5x5-5y5,
    ==> 2xy2+5x4,
    ==> 10y6+25x3y4
    print(gmsmatrix);
    ==> 0,x, 1,-2xy,
    ==> 1,-y,0,2y2+5x3
    print(gmsbasis);
    ==> y5,
    ==> y4,
    ==> y3,
    ==> y2,
    ==> xy,
    ==> y,
    ==> x4,
    ==> x3,
    ==> x2,
    ==> x,
    ==> 1
    Gmssing::gmsmaxdeg;
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.